MyBB index.php 'referrer' Parameter SQLi

high Nessus Plugin ID 20838

Synopsis

The remote web server hosts a PHP application that is affected by a SQL injection vulnerability.

Description

The version of MyBB installed on the remote host is affected by a SQL injection vulnerability due to improper sanitization of user-supplied input to the 'referrer' parameter before using it in the globals.php script. A remote attacker can exploit this issue to manipulate SQL queries, resulting in the disclosure of sensitive information and modification of data.

Solution

Upgrade to MyBB version 1.0.4 or later. Alternatively, edit inc/settings.php and set 'usereferrals' to 'no'

See Also

https://community.mybb.com/showthread.php?tid=6777

Plugin Details

Severity: High

ID: 20838

File Name: mybb_referrer_sql_injection.nasl

Version: 1.24

Type: remote

Family: CGI abuses

Published: 2/2/2006

Updated: 4/11/2022

Configuration: Enable thorough checks

Risk Information

VPR

Risk Factor: Medium

Score: 6.6

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:U/RC:C

Vulnerability Information

CPE: cpe:/a:mybb:mybb

Required KB Items: www/PHP, installed_sw/MyBB

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2/5/2006

Vulnerability Publication Date: 1/31/2006

Reference Information

CVE: CVE-2006-1974

BID: 16443